Subject: Re: Build commit for Patchwork?

From: Simon Horman <[email-masked]>
Date: Thu, 16 Oct 2025 17:25:37 +0100

On Thu, Oct 16, 2025 at 09:07:09AM -0700, John Ousterhout wrote:
> Is there a way to tell which commit Patchwork uses for its builds?
> 
> Patchwork builds are generating this error:
> 
> ‘struct flowi_common’ has no member named ‘flowic_tos’; did you mean
> ‘flowic_oif’?
> 
> (https://netdev.bots.linux.dev/static/nipa/1012035/14269094/build_32bit/stderr)
> 
> but the member flowic_tos seems to be present in all recent commits
> that I can find.

Hi John,

I'm not sure that it's explicitly exposed.
But if you look at one of the builds for the 1st patch of the series
then it will start with a baseline build (that is, build of the
tree the patch-set is applied on top of).

In this case, looking at the URL below, which is linked from
the first patch in the series in Patchwork, I see.

cb85ca4c0a34 ("Merge branch 'net-airoha-npu-introduce-support-for-airoha-7583-npu'")

https://netdev.bots.linux.dev/static/nipa/1012035/14269097/build_32bit/stdout